Bug 131008

Summary: [Win] Correct media controls for test harness
Product: WebKit Reporter: Brent Fulgham <bfulgham>
Component: MediaAssignee: Brent Fulgham <bfulgham>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, esprehn+autocc, glenn, kondapallykalyan
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch eric.carlson: review+

Description Brent Fulgham 2014-03-31 20:54:19 PDT
WebKit on Windows uses RenderThemeSafari theme while running tests to allow more Mac layout results to be used on Windows. When the media controls were switched to an HTML/CSS-based implementation, we forgot to update RenderThemeSafari.  This caused a great number of media tests to fail on Windows.

This patch corrects this problem so we can reactivate the offending tests.
Comment 1 Brent Fulgham 2014-04-01 17:59:23 PDT
Created attachment 228351 [details]
Patch
Comment 2 Brent Fulgham 2014-04-01 18:01:09 PDT
I'd like to land the test reactivation later, as I'm doing other test maintenance.
Comment 3 Brent Fulgham 2014-04-02 11:12:33 PDT
Committed r166653: <http://trac.webkit.org/changeset/166653>